-bash: adb: command not found

Hi Everyone,
I am working on attaching android emulator on MacOs BigSur. Having issues to run adb (-bash: adb: command not found) after carrying these changes:

“”""""""""""""""""""""
*** If you are on macOS or Linux, add an environment variable pointing to the Android SDK location in ~/.bash_profile (or ~/.zshenv if you use Zsh) - eg. export ANDROID_SDK=/your/path/here . Copy and paste these two lines to do this automatically for Bash and Zsh:**

** **[ -d "$HOME/Library/Android/sdk" ] && ANDROID_SDK=$HOME/Library/Android/sdk || ANDROID_SDK=$HOME/Android/Sdk** **echo "export ANDROID_SDK=$ANDROID_SDK" >> ~/`[[ $SHELL == *"zsh" ]] && echo '.zshenv' || echo '.bash_profile'`** **

*** On macOS, you will also need to add platform-tools to your ~/.bash_profile (or ~/.zshenv if you use Zsh) - eg. export PATH=/your/path/here:$PATH . Copy and paste this line to do this automatically for Bash and Zsh:```**
*echo “export PATH=$HOME/Library/Android/sdk/platform-tools:$PATH” >> ~/`[[ $SHELL == “zsh” ]] && echo ‘.zshenv’ || echo ‘.bash_profile’````

“”""""""""""""""""""""""""""""""""""""""""""

expo diagnostics :
WARNING: expo-cli has not yet been tested against Node.js v16.1.0.
If you encounter any issues, please report them to Issues · expo/expo-cli · GitHub

expo-cli supports following Node.js versions:

  • =12.13.0 <13.0.0 (Maintenance LTS)

  • =14.0.0 <15.0.0 (Active LTS)

  • =15.0.0 <17.0.0 (Current Release)

    Expo CLI 4.4.6 environment info:
    System:
    OS: macOS 11.3.1
    Shell: 3.2.57 - /bin/bash
    Binaries:
    Node: 16.1.0 - /usr/local/bin/node
    npm: 7.11.2 - /usr/local/bin/npm
    IDEs:
    Android Studio: 4.2 AI-202.7660.26.42.7322048
    Xcode: /undefined - /usr/bin/xcodebuild
    npmGlobalPackages:
    expo-cli: 4.4.6
    Expo Workflow: managed


Thank you and looking forward to have a move ahead .

This topic was automatically closed 20 days after the last reply. New replies are no longer allowed.